OpenNMS API 1.2.9

## org.opennms.core.fiber
Interface ExtendedStatusFiber

All Superinterfaces:
  Fiber

All Known Implementing Classes:
  PingManager.Pinger

public interface ExtendedStatusFiber
extends Fiber

This interface defines an extension to the `Fiber`class for getting extended status information. The definition of extended status is defined by the implementation. The concept is to provide additional status information to knowledgable code, while not breaking the normal status information defined by the `Fiber` interface.

Author:
  Brian Weaver , OpenNMS

Field Summary

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Method Summary
`int` `getExtendedStatus()` Returns the extended status information for the implementation.

Methods inherited from interface org.opennms.core.fiber.Fiber
`getName, getStatus, start, stop`

Method Detail

### getExtendedStatus

    public int getExtendedStatus()

  Returns the extended status information for the implementation. The definiton of extended status is defined by the implementation.

  Returns:
    The extended status information.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.